## zvmcloudconnector 1.4.1

=== requirements.txt ===
jsonschema>=2.3.0 # MIT
netaddr>=0.7.5 # BSD
PyJWT>=1.0.1 # MIT
requests>=2.6.0 # Apache-2.0
Routes>=2.2 # MIT
six>=1.9.0 # MIT
WebOb>=1.2.3 # MIT

=== zthin-parts/Makefile ===
DEBUG = -g
CFLAGS = -fPIC
LIB_DIR = $(RPM_BUILD_ROOT)/opt/zthin/lib
BIN_DIR = $(RPM_BUILD_ROOT)/opt/zthin/bin
LD_DIR = $(RPM_BUILD_ROOT)/etc/ld.so.conf.d
SRC_DIR = zthin/src/
INCLUDE_DIR = zthin/include/
ZTHINLIB = "libzthin.so"

#-----------------------------------------------------------------------
# Objects for utils
#-----------------------------------------------------------------------
UTILS_OBJECTS += rcdescriptions.o
UTILS_OBJECTS += wrapperutils.o

#-----------------------------------------------------------------------
# Objects for sm library
#-----------------------------------------------------------------------
SM_OBJECTS += smSocket.o
SM_OBJECTS += smMemoryGroup.o
SM_OBJECTS += smapiUtilities.o
SM_OBJECTS += smapiTableParser.o

#-----------------------------------------------------------------------
# Objects for vmapi library
#-----------------------------------------------------------------------
VMAPI_OBJECTS += vmapiAsynchronousNotificationDisableDm.o
VMAPI_OBJECTS += vmapiAsynchronousNotificationEnableDm.o
VMAPI_OBJECTS += vmapiAsynchronousNotificationQueryDm.o
VMAPI_OBJECTS += vmapiAuthorizationListAdd.o
VMAPI_OBJECTS += vmapiAuthorizationListQuery.o
VMAPI_OBJECTS += vmapiAuthorizationListRemove.o
VMAPI_OBJECTS += vmapiCheckAuthentication.o
VMAPI_OBJECTS += vmapiDeleteABENDDump.o
VMAPI_OBJECTS += vmapiEventStreamAdd.o
VMAPI_OBJECTS += vmapiEventUnsubscribe.o
VMAPI_OBJECTS += vmapiDirectoryManagerLocalTagDefineDm.o
VMAPI_OBJECTS += vmapiDirectoryManagerLocalTagDeleteDm.o
VMAPI_OBJECTS += vmapiDirectoryManagerLocalTagQueryDm.o
VMAPI_OBJECTS += vmapiDirectoryManagerLocalTagSetDm.o
VMAPI_OBJECTS += vmapiDirectoryManagerSearchDm.o
VMAPI_OBJECTS += vmapiDirectoryManagerTaskCancelDm.o
VMAPI_OBJECTS += vmapiImageActivate.o
VMAPI_OBJECTS += vmapiImageActiveConfigurationQuery.o
VMAPI_OBJECTS += vmapiImageConsoleGet.o
VMAPI_OBJECTS += vmapiImageCpuDefine.o
VMAPI_OBJECTS += vmapiImageCpuDefineDm.o
VMAPI_OBJECTS += vmapiImageCpuDelete.o
VMAPI_OBJECTS += vmapiImageCpuDeleteDm.o
VMAPI_OBJECTS += vmapiImageCpuQuery.o
VMAPI_OBJECTS += vmapiImageCpuQueryDm.o
VMAPI_OBJECTS += vmapiImageCpuSetMaximumDm.o
VMAPI_OBJECTS += vmapiImageCreateDm.o
VMAPI_OBJECTS += vmapiImageDeactivate.o
VMAPI_OBJECTS += vmapiImageDefinitionAsyncUpdates.o
VMAPI_OBJECTS += vmapiImageDefinitionCreateDm.o
VMAPI_OBJECTS += vmapiImageDefinitionDeleteDm.o
VMAPI_OBJECTS += vmapiImageDefinitionQueryDm.o
VMAPI_OBJECTS += vmapiImageDefinitionUpdateDm.o
VMAPI_OBJECTS += vmapiImageDeleteDm.o
VMAPI_OBJECTS += vmapiImageDeviceDedicate.o
VMAPI_OBJECTS += vmapiImageDeviceDedicateDm.o
VMAPI_OBJECTS += vmapiImageDeviceReset.o
VMAPI_OBJECTS += vmapiImageDeviceUndedicate.o
VMAPI_OBJECTS += vmapiImageDeviceUndedicateDm.o
VMAPI_OBJECTS += vmapiImageDiskCopy.o
VMAPI_OBJECTS += vmapiImageDiskCopyDm.o
VMAPI_OBJECTS += vmapiImageDiskCreate.o
VMAPI_OBJECTS += vmapiImageDiskCreateDm.o
VMAPI_OBJECTS += vmapiImageDiskDelete.o
VMAPI_OBJECTS += vmapiImageDiskDeleteDm.o
VMAPI_OBJECTS += vmapiImageDiskQuery.o
VMAPI_OBJECTS += vmapiImageDiskShare.o
VMAPI_OBJECTS += vmapiImageDiskShareDm.o
VMAPI_OBJECTS += vmapiImageDiskUnshare.o
VMAPI_OBJECTS += vmapiImageDiskUnshareDm.o
VMAPI_OBJECTS += vmapiImageIplDeleteDm.o
VMAPI_OBJECTS += vmapiImageIplDeviceQuery.o
VMAPI_OBJECTS += vmapiImageIplQueryDm.o
VMAPI_OBJECTS += vmapiImageIplSetDm.o
VMAPI_OBJECTS += vmapiImageLockDm.o
VMAPI_OBJECTS += vmapiImageLockQueryDm.o
VMAPI_OBJECTS += vmapiImageMdiskLinkQuery.o
VMAPI_OBJECTS += vmapiImageNameQueryDm.o
VMAPI_OBJECTS += vmapiImagePasswordSetDm.o
VMAPI_OBJECTS += vmapiImagePause.o
VMAPI_OBJECTS += vmapiImagePerformanceQuery.o
VMAPI_OBJECTS += vmapiImageQueryActivateTime.o
VMAPI_OBJECTS += vmapiImageQueryDm.o
VMAPI_OBJECTS += vmapiImageRecycle.o
VMAPI_OBJECTS += vmapiImageReplaceDm.o
VMAPI_OBJECTS += vmapiImageScsiCharacteristicsDefineDm.o
VMAPI_OBJECTS += vmapiImageScsiCharacteristicsQueryDm.o
VMAPI_OBJECTS += vmapiImageStatusQuery.o
VMAPI_OBJECTS += vmapiImageUnlockDm.o
VMAPI_OBJECTS += vmapiImageVolumeAdd.o
VMAPI_OBJECTS += vmapiImageVolumeDelete.o
VMAPI_OBJECTS += vmapiImageVolumeShare.o
VMAPI_OBJECTS += vmapiImageVolumeSpaceDefineDm.o
VMAPI_OBJECTS += vmapiImageVolumeSpaceDefineExtendedDm.o
VMAPI_OBJECTS += vmapiImageVolumeSpaceQueryDm.o
VMAPI_OBJECTS += vmapiImageVolumeSpaceQueryExtendedDm.o
VMAPI_OBJECTS += vmapiImageVolumeSpaceRemoveDm.o
VMAPI_OBJECTS += vmapiIPaddrGet.o
VMAPI_OBJECTS += vmapiMetadataDelete.o
VMAPI_OBJECTS += vmapiMetadataGet.o
VMAPI_OBJECTS += vmapiMetadataSet.o
VMAPI_OBJECTS += vmapiMetadataSpaceQuery.o
VMAPI_OBJECTS += vmapiNameListAdd.o
VMAPI_OBJECTS += vmapiNameListDestroy.o
VMAPI_OBJECTS += vmapiNameListQuery.o
VMAPI_OBJECTS += vmapiNameListRemove.o
VMAPI_OBJECTS += vmapiNetworkIPInterfaceCreate.o
VMAPI_OBJECTS += vmapiNetworkIPInterfaceModify.o
VMAPI_OBJECTS += vmapiNetworkIPInterfaceQuery.o
VMAPI_OBJECTS += vmapiNetworkIPInterfaceRemove.o
VMAPI_OBJECTS += vmapiPageOrSpoolVolumeAdd.o
VMAPI_OBJECTS += vmapiProcessAbendDump.o
VMAPI_OBJECTS += vmapiProfileCreateDm.o
VMAPI_OBJECTS += vmapiProfileDeleteDm.o
VMAPI_OBJECTS += vmapiProfileLockDm.o
VMAPI_OBJECTS += vmapiProfileLockQueryDm.o
VMAPI_OBJECTS += vmapiProfileQueryDm.o
VMAPI_OBJECTS += vmapiProfileReplaceDm.o
VMAPI_OBJECTS += vmapiProfileUnlockDm.o
VMAPI_OBJECTS += vmapiPrototypeCreateDm.o
VMAPI_OBJECTS += vmapiPrototypeDeleteDm.o
VMAPI_OBJECTS += vmapiPrototypeNameQueryDm.o
VMAPI_OBJECTS += vmapiPrototypeQueryDm.o
VMAPI_OBJECTS += vmapiPrototypeReplaceDm.o
VMAPI_OBJECTS += vmapiQueryAbendDump.o
VMAPI_OBJECTS += vmapiQueryAllDmNo.o
VMAPI_OBJECTS += vmapiQueryAllDmYes.o
VMAPI_OBJECTS += vmapiQueryApiFunctionalLevel.o
VMAPI_OBJECTS += vmapiQueryAsynchronousOperationDm.o
VMAPI_OBJECTS += vmapiQueryDirectoryManagerLevelDm.o
VMAPI_OBJECTS += vmapiResponseRecovery.o
VMAPI_OBJECTS += vmapiSharedMemoryAccessAddDm.o
VMAPI_OBJECTS += vmapiSharedMemoryAccessQueryDm.o
VMAPI_OBJECTS += vmapiSharedMemoryAccessRemoveDm.o
VMAPI_OBJECTS += vmapiSharedMemoryCreate.o
VMAPI_OBJECTS += vmapiSharedMemoryDelete.o
VMAPI_OBJECTS += vmapiSharedMemoryQuery.o
VMAPI_OBJECTS += vmapiSharedMemoryReplace.o
VMAPI_OBJECTS += vmapiSMAPIStatusCapture.o
VMAPI_OBJECTS += vmapiSSIQuery.o
VMAPI_OBJECTS += vmapiStaticImageChangesActivateDm.o
VMAPI_OBJECTS += vmapiStaticImageChangesDeactivateDm.o
VMAPI_OBJECTS += vmapiStaticImageChangesImmediateDm.o
VMAPI_OBJECTS += vmapiSystemConfigSyntaxCheck.o
VMAPI_OBJECTS += vmapiSystemDiskAccessibility.o
VMAPI_OBJECTS += vmapiSystemDiskAdd.o
VMAPI_OBJECTS += vmapiSystemDiskIoQuery.o
VMAPI_OBJECTS += vmapiSystemDiskQuery.o
VMAPI_OBJECTS += vmapiSystemEQIDQuery.o
VMAPI_OBJECTS += vmapiSystemFCPFreeQuery.o
VMAPI_OBJECTS += vmapiSystemImagePerformanceQuery.o
VMAPI_OBJECTS += vmapiSystemInfoQuery.o
VMAPI_OBJECTS += vmapiSystemInformationQuery.o
VMAPI_OBJECTS += vmapiSystemIoQuery.o
VMAPI_OBJECTS += vmapiSystemPageUtilizationQuery.o
VMAPI_OBJECTS += vmapiSystemPerformanceInfoQuery.o
VMAPI_OBJECTS += vmapiSystemPerformanceInformationQuery.o
VMAPI_OBJECTS += vmapiSystemPerformanceThresholdDisable.o
VMAPI_OBJECTS += vmapiSystemPerformanceThresholdEnable.o
VMAPI_OBJECTS += vmapiSystemRDRFileManage.o
VMAPI_OBJECTS += vmapiSystemSCSIDiskAdd.o
VMAPI_OBJECTS += vmapiSystemSCSIDiskDelete.o
VMAPI_OBJECTS += vmapiSystemSCSIDiskQuery.o
VMAPI_OBJECTS += vmapiSystemServiceQuery.o
VMAPI_OBJECTS += vmapiSystemShutdown.o
VMAPI_OBJECTS += vmapiSystemSpoolUtilizationQuery.o
VMAPI_OBJECTS += vmapiSystemWWPNQuery.o
VMAPI_OBJECTS += vmapiVirtualChannelConnectionCreate.o
VMAPI_OBJECTS += vmapiVirtualChannelConnectionCreateDm.o
VMAPI_OBJECTS += vmapiVirtualChannelConnectionDelete.o
VMAPI_OBJECTS += vmapiVirtualChannelConnectionDeleteDm.o
VMAPI_OBJECTS += vmapiVirtualNetworkAdapterConnectLan.o
VMAPI_OBJECTS += vmapiVirtualNetworkAdapterConnectLanDm.o
VMAPI_OBJECTS += vmapiVirtualNetworkAdapterConnectVswitch.o
VMAPI_OBJECTS += vmapiVirtualNetworkAdapterConnectVswitchDm.o
VMAPI_OBJECTS += vmapiVirtualNetworkAdapterConnectVswitchExtended.o
VMAPI_OBJECTS += vmapiVirtualNetworkAdapterCreate.o
VMAPI_OBJECTS += vmapiVirtualNetworkAdapterCreateDm.o
VMAPI_OBJECTS += vmapiVirtualNetworkAdapterCreateExtended.o
VMAPI_OBJECTS += vmapiVirtualNetworkAdapterCreateExtendedDm.o
VMAPI_OBJECTS += vmapiVirtualNetworkAdapterDelete.o
VMAPI_OBJECTS += vmapiVirtualNetworkAdapterDeleteDm.o
VMAPI_OBJECTS += vmapiVirtualNetworkAdapterDisconnect.o
VMAPI_OBJECTS += vmapiVirtualNetworkAdapterDisconnectDm.o
VMAPI_OBJECTS += vmapiVirtualNetworkAdapterQuery.o
VMAPI_OBJECTS += vmapiVirtualNetworkAdapterQueryExtended.o
VMAPI_OBJECTS += vmapiVirtualNetworkLanAccess.o
VMAPI_OBJECTS += vmapiVirtualNetworkLanAccessQuery.o
VMAPI_OBJECTS += vmapiVirtualNetworkLanCreate.o
VMAPI_OBJECTS += vmapiVirtualNetworkLanDelete.o
VMAPI_OBJECTS += vmapiVirtualNetworkLanQuery.o
VMAPI_OBJECTS += vmapiVirtualNetworkOsaQuery.o
VMAPI_OBJECTS += vmapiVirtualNetworkVLANQueryStats.o
VMAPI_OBJECTS += vmapiVirtualNetworkQueryLan.o
VMAPI_OBJECTS += vmapiVirtualNetworkQueryOsa.o
VMAPI_OBJECTS += vmapiVirtualNetworkVswitchCreate.o
VMAPI_OBJECTS += vmapiVirtualNetworkVswitchCreateExtended.o
VMAPI_OBJECTS += vmapiVirtualNetworkVswitchDelete.o
VMAPI_OBJECTS += vmapiVirtualNetworkVswitchDeleteExtended.o
VMAPI_OBJECTS += vmapiVirtualNetworkVswitchQuery.o
VMAPI_OBJECTS += vmapiVirtualNetworkVswitchQueryByteStats.o
VMAPI_OBJECTS += vmapiVirtualNetworkVswitchQueryExtended.o
VMAPI_OBJECTS += vmapiVirtualNetworkVswitchQueryIUOStats.o
VMAPI_OBJECTS += vmapiVirtualNetworkVswitchQueryStats.o
VMAPI_OBJECTS += vmapiVirtualNetworkVswitchSet.o
VMAPI_OBJECTS += vmapiVirtualNetworkVswitchSetExtended.o
VMAPI_OBJECTS += vmapiVMRelocate.o
VMAPI_OBJECTS += vmapiVMRelocateImageAttributes.o
VMAPI_OBJECTS += vmapiVMRelocateModify.o
VMAPI_OBJECTS += vmapiVMRelocateStatus.o
VMAPI_OBJECTS += vmapiVmrmConfigurationQuery.o
VMAPI_OBJECTS += vmapiVmrmConfigurationUpdate.o
VMAPI_OBJECTS += vmapiVmrmMeasurementQuery.o
VMAPI_OBJECTS += vmapiXcatCommandsIUO.o

#-----------------------------------------------------------------------
# Objects for smcli
#-----------------------------------------------------------------------
SMCLI_OBJECTS += smcli.o
SMCLI_OBJECTS += smcliAsynchronous.o
SMCLI_OBJECTS += smcliAuthorization.o
SMCLI_OBJECTS += smcliCheck.o
SMCLI_OBJECTS += smcliDelete.o
SMCLI_OBJECTS += smcliDirectory.o
SMCLI_OBJECTS += smcliEvent.o
SMCLI_OBJECTS += smcliImage.o
SMCLI_OBJECTS += smcliImageDefinition.o
SMCLI_OBJECTS += smcliMetadata.o
SMCLI_OBJECTS += smcliName.o
SMCLI_OBJECTS += smcliNetwork.o
SMCLI_OBJECTS += smcliPage.o
SMCLI_OBJECTS += smcliProcess.o
SMCLI_OBJECTS += smcliProfile.o
SMCLI_OBJECTS += smcliPrototype.o
SMCLI_OBJECTS += smcliQuery.o
SMCLI_OBJECTS += smcliResponse.o
SMCLI_OBJECTS += smcliShared.o
SMCLI_OBJECTS += smcliSMAPI.o
SMCLI_OBJECTS += smcliSSI.o
SMCLI_OBJECTS += smcliStatic.o
SMCLI_OBJECTS += smcliSystem.o
SMCLI_OBJECTS += smcliVirtual.o
SMCLI_OBJECTS += smcliVMRelocate.o
SMCLI_OBJECTS += smcliVMRM.o
SMCLI_OBJECTS += smcliUnDocumented.o

#-----------------------------------------------------------------------
# Objects for cikada
#-----------------------------------------------------------------------
CIKADA_OBJECTS += ckddecode.o
CIKADA_OBJECTS += ckdencode.o
CIKADA_OBJECTS += ckdhex.o


.PHONY: all install post clean
#-----------------------------------------------------------------------
# All
#-----------------------------------------------------------------------
all: $(ZTHINLIB) \
    $(CIKADA_OBJECTS) \
    $(SMCLI_OBJECTS) \
    $(UTILS_OBJECTS)  \
    ckddecode \
    ckdencode \
    ckdhex \
    syncfileutil \
    smcli\
    iucvserv\
    iucvclnt

#------------------------------------------------------------------------------------------------------------------------------------------------------
# Utils object files
#------------------------------------------------------------------------------------------------------------------------------------------------------
rcdescriptions.o : $(SRC_DIR)rcdescriptions.c

## zvmcloudconnector 1.2.3

=== debian/changelog ===
zvmcloudconnector (1.2.3-1) unstable; urgency=medium

  * Initial release. (Closes: #907016)

 -- Thomas Goirand <zigo@debian.org>  Thu, 23 Aug 2018 09:14:08 +0200

=== debian/control ===
Source: zvmcloudconnector
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-setuptools,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-jsonschema,
 python3-jwt,
 python3-mock,
 python3-netaddr,
 python3-requests,
 python3-routes,
 python3-six,
 python3-unittest2,
 python3-webob,
 subunit,
 testrepository,
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/zvmcloudconnector
Vcs-Git: https://salsa.debian.org/openstack-team/libs/zvmcloudconnector.git
Homepage: https://github.com/mfcloud/python-zvm-sdk

Package: python3-zvmcloudconnector
Architecture: all
Depends:
 python3-jsonschema,
 python3-jwt,
 python3-netaddr,
 python3-requests,
 python3-routes,
 python3-six,
 python3-webob,
 zvmcloudconnector-common (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: z/VM Development SDK for managing z/VM - Python 3
 z/VM cloud connector is a development SDK for managing z/VM. It provides a set of APIs to
 operate z/VM including guest, image, network, volume etc.
 .
 Just like os-win for nova hyperv driver and oslo.vmware for nova vmware driver, z/VM cloud
 connector (zVMCloudConnector) is for nova z/VM driver and other z/VM related openstack
 drivers such as neutron, ceilometer.
 .
 This package contains the Python 3 module.

Package: zvmcloudconnector-api
Architecture: all
Depends:
 python3-zvmcloudconnector (= ${source:Version}),
 ${misc:Depends},
Description: z/VM Development SDK for managing z/VM - z/VM SDK API Server
 z/VM cloud connector is a development SDK for managing z/VM. It provides a set of APIs to
 operate z/VM including guest, image, network, volume etc.
 .
 Just like os-win for nova hyperv driver and oslo.vmware for nova vmware driver, z/VM cloud
 connector (zVMCloudConnector) is for nova z/VM driver and other z/VM related openstack
 drivers such as neutron, ceilometer.
 .
 This package contains the z/VM SDK API Server.

Package: zvmcloudconnector-common
Architecture: all
Depends:
 adduser,
 ${misc:Depends},
Description: z/VM Development SDK for managing z/VM - Common Files
 z/VM cloud connector is a development SDK for managing z/VM. It provides a set of APIs to
 operate z/VM including guest, image, network, volume etc.
 .
 Just like os-win for nova hyperv driver and oslo.vmware for nova vmware driver, z/VM cloud
 connector (zVMCloudConnector) is for nova z/VM driver and other z/VM related openstack
 drivers such as neutron, ceilometer.
 .
 This package contains common files.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/mfcloud/zVMCloudConnector.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,systemd

override_dh_auto_install:
	pkgos-dh_auto_install
	rm -rf $(CURDIR)/debian/python3-zvmcloudconnector/etc
	rm -rf $(CURDIR)/debian/python3-zvmcloudconnector/usr/lib/systemd
	rm -rf $(CURDIR)/debian/python3-zvmcloudconnector/var
	mv $(CURDIR)/doc/source/zvmsdk.conf.sample $(CURDIR)/debian/zvmcloudconnector-common/etc/zvmsdk/zvmsdk.conf
	dh_install --fail-missing

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_clean:
	dh_auto_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_install:
	dh_install -O--buildsystem=python_distutils

override_dh_systemd_enable:
	dh_systemd_enable -pzvmcloudconnector-api --name=sdkserver sdkserver.service
	dh_systemd_enable

override_dh_installinit:
	dh_installinit -pzvmcloudconnector-api --no-start --name=sdkserver
	dh_installinit --error-handler=true

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# NOTE(coreycb): Currently there are only unit tests for the smutLayer
	# https://bugs.launchpad.net/bugs/1787611
	@echo "===> Disabled tests"
#	set -e ; for pyvers in $(PYTHON3S); do \
#		PYTHONPATH=. PYTHON=python$$pyvers python$$pyvers -m unittest discover -v ; \
#	done
endif

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev:
override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons:
override_dh_perl override_dh_usrlocal:

## zvmcloudconnector 1.4.0

=== debian/changelog ===
zvmcloudconnector (1.4.0-3) experimental; urgency=medium

  * Correctly remove $(CURDIR)/debian/python3-zvmcloudconnector/lib, as the
    .service file is in zvmcloudconnector-api (Closes: #926307).

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Apr 2019 17:22:04 +0200

zvmcloudconnector (1.4.0-2) experimental; urgency=medium

  * Do not maintain alternatives.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Mar 2019 21:40:47 +0100

zvmcloudconnector (1.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Mar 2019 15:22:45 +0100

=== debian/rules ===
--- 
+++ 
@@ -1,18 +1,20 @@
 #!/usr/bin/make -f
 
-UPSTREAM_GIT := https://github.com/mfcloud/zVMCloudConnector.git
+UPSTREAM_GIT := https://github.com/mfcloud/python-zvm-sdk/
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
 	dh $@ --buildsystem=python_distutils --with python3,systemd
 
 override_dh_auto_install:
-	pkgos-dh_auto_install
+	pkgos-dh_auto_install --no-py2
 	rm -rf $(CURDIR)/debian/python3-zvmcloudconnector/etc
 	rm -rf $(CURDIR)/debian/python3-zvmcloudconnector/usr/lib/systemd
+	rm -rf $(CURDIR)/debian/python3-zvmcloudconnector/lib
 	rm -rf $(CURDIR)/debian/python3-zvmcloudconnector/var
 	mv $(CURDIR)/doc/source/zvmsdk.conf.sample $(CURDIR)/debian/zvmcloudconnector-common/etc/zvmsdk/zvmsdk.conf
-	dh_install --fail-missing
+	dh_install
+	dh_missing --fail-missing
 
 override_dh_python3:
 	dh_python3 --shebang=/usr/bin/python3
@@ -41,13 +43,3 @@
 #		PYTHONPATH=. PYTHON=python$$pyvers python$$pyvers -m unittest discover -v ; \
 #	done
 endif
-
-# Commands not to run
-override_dh_installcatalogs:
-override_dh_installemacsen override_dh_installifupdown:
-override_dh_installinfo override_dh_installmenu override_dh_installmime:
-override_dh_installmodules override_dh_installlogcheck:
-override_dh_installpam override_dh_installppp override_dh_installudev:
-override_dh_installwm:
-override_dh_installxfonts override_dh_gconf override_dh_icons:
-override_dh_perl override_dh_usrlocal:

## zvmcloudconnector 1.4.1

=== debian/changelog ===
zvmcloudconnector (1.4.1-4) unstable; urgency=medium

  * Use override_dh_installsystemd and not override_dh_systemd_enable, fixing
    FTBFS (Closes: #976568).

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Dec 2020 09:13:17 +0100

zvmcloudconnector (1.4.1-3) unstable; urgency=medium

  * Enabling unit tests at build time (Closes: #942466).

 -- Thomas Goirand <zigo@debian.org>  Thu, 31 Oct 2019 11:32:01 +0100

zvmcloudconnector (1.4.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 10:46:52 +0200

zvmcloudconnector (1.4.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Sep 2019 14:08:53 +0200

zvmcloudconnector (1.4.0-7) unstable; urgency=medium

  * Removed python-all and python-setuptools from build-depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Aug 2019 09:35:45 +0200

zvmcloudconnector (1.4.0-6) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Fix build not removing zvmsdk.conf.sample (Closes: #927000).
  * Correctly rewrap long desc to 80 cols.

 -- Thomas Goirand <zigo@debian.org>  Thu, 08 Aug 2019 16:25:07 +0200

zvmcloudconnector (1.4.0-5) unstable; urgency=medium

  * Make the -api package runtime depends on lsb-base.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 00:49:47 +0200

=== debian/control ===
Source: zvmcloudconnector
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-jsonschema,
 python3-jwt,
 python3-mock,
 python3-netaddr,
 python3-requests,
 python3-routes,
 python3-six,
 python3-unittest2,
 python3-webob,
 subunit,
 testrepository,
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/zvmcloudconnector
Vcs-Git: https://salsa.debian.org/openstack-team/libs/zvmcloudconnector.git
Homepage: https://github.com/mfcloud/python-zvm-sdk

Package: python3-zvmcloudconnector
Architecture: all
Depends:
 python3-jsonschema,
 python3-jwt,
 python3-netaddr,
 python3-requests,
 python3-routes,
 python3-six,
 python3-webob,
 zvmcloudconnector-common (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: z/VM Development SDK for managing z/VM - Python 3
 z/VM cloud connector is a development SDK for managing z/VM. It provides a set
 of APIs to operate z/VM including guest, image, network, volume etc.
 .
 Just like os-win for nova hyperv driver and oslo.vmware for nova vmware
 driver, z/VM cloud connector (zVMCloudConnector) is for nova z/VM driver and
 other z/VM related openstack drivers such as neutron, ceilometer.
 .
 This package contains the Python 3 module.

Package: zvmcloudconnector-api
Architecture: all
Depends:
 lsb-base,
 python3-zvmcloudconnector (= ${source:Version}),
 ${misc:Depends},
Description: z/VM Development SDK for managing z/VM - z/VM SDK API Server
 z/VM cloud connector is a development SDK for managing z/VM. It provides a set
 of APIs to operate z/VM including guest, image, network, volume etc.
 .
 Just like os-win for nova hyperv driver and oslo.vmware for nova vmware
 driver, z/VM cloud connector (zVMCloudConnector) is for nova z/VM driver and
 other z/VM related openstack drivers such as neutron, ceilometer.
 .
 This package contains the z/VM SDK API Server.

Package: zvmcloudconnector-common
Architecture: all
Depends:
 adduser,
 ${misc:Depends},
Description: z/VM Development SDK for managing z/VM - Common Files
 z/VM cloud connector is a development SDK for managing z/VM. It provides a set
 of APIs to operate z/VM including guest, image, network, volume etc.
 .
 Just like os-win for nova hyperv driver and oslo.vmware for nova vmware
 driver, z/VM cloud connector (zVMCloudConnector) is for nova z/VM driver and
 other z/VM related openstack drivers such as neutron, ceilometer.
 .
 This package contains common files.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/mfcloud/python-zvm-sdk/
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2
	rm -rf $(CURDIR)/debian/python3-zvmcloudconnector/etc
	rm -rf $(CURDIR)/debian/python3-zvmcloudconnector/usr/lib/systemd
	rm -rf $(CURDIR)/debian/python3-zvmcloudconnector/lib
	rm -rf $(CURDIR)/debian/python3-zvmcloudconnector/var
	cp $(CURDIR)/doc/source/zvmsdk.conf.sample $(CURDIR)/debian/zvmcloudconnector-common/etc/zvmsdk/zvmsdk.conf
	dh_install
	dh_missing --fail-missing

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_installsystemd:
	dh_installsystemd
	dh_installsystemd -pzvmcloudconnector-api --name=sdkserver sdkserver.service

override_dh_installinit:
	dh_installinit -pzvmcloudconnector-api --no-start --name=sdkserver
	dh_installinit --error-handler=true

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; for pyvers in $(PYTHON3S); do \
		PYTHONPATH=. PYTHON=python$$pyvers python$$pyvers -m unittest discover -v -s $(CURDIR)/zvmsdk/tests/unit; \
		PYTHONPATH=. PYTHON=python$$pyvers python$$pyvers -m unittest discover -v -s $(CURDIR)/smutLayer/tests/unit; \
	done
endif

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/zVMCloudConnector/zVMCloudConnector/tags .*/(\d[\d\.]+)\.tar\.gz

## zvmcloudconnector 1.6.3

=== requirements.txt ===
--- 
+++ 
@@ -5,3 +5,4 @@
 Routes>=2.2 # MIT
 six>=1.9.0 # MIT
 WebOb>=1.2.3 # MIT
+PyYAML>=3.10

=== debian/changelog ===
zvmcloudconnector (1:1.6.3-0ubuntu1) oracular; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream point release, bump epoch to clear snapshot snafu. 
  * d/rules: smutLayer->smtLayer for unit tests.

 -- James Page <james.page@ubuntu.com>  Wed, 21 Aug 2024 10:25:15 +0100

zvmcloudconnector (2.0.0~b1~git2019062011.4fc9142.really.1.4.1-0ubuntu4) UNRELEASED; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2020 09:06:22 -0400

zvmcloudconnector (2.0.0~b1~git2019062011.4fc9142.really.1.4.1-0ubuntu3) focal; urgency=medium

  * d/zvmcloudconnector-common.postinst: Set default ownership and permissions for
    /etc/<pkg>, /var/lib/<pkg>, and /var/log/<pkg> (LP: #1859422).
  * d/rules, d/compat, d/control: Switch to debhelper compat level 12 and pybuild.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 27 Mar 2020 14:16:07 -0400

zvmcloudconnector (2.0.0~b1~git2019062011.4fc9142.really.1.4.1-0ubuntu2) eoan; urgency=medium

  * Reversion due to mis-versioning of snapshots during development cycle.
  * d/rules: Switch tests to run from smutLayer.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 14 Oct 2019 16:23:56 -0400

zvmcloudconnector (2.0.0~b1~git2019062011.4fc9142-0ubuntu1) eoan; urgency=medium

  [ Corey Bryant ]
  * d/control: Set source package Section to net, fixing
    binary-control-field-duplicates-source lintian tag.

  [ Sahid Orentino Ferdjaoui ]
  * New upstream release 2.0.0~b1.
  * d/rules: Fix smtLayer unittest path.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Tue, 25 Jun 2019 09:48:24 +0100

zvmcloudconnector (1.4.1-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 20 Mar 2019 08:06:27 -0400

zvmcloudconnector (1.3.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/control,rules,python*,d/tests/*: Drop Python 2 support.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 20 Nov 2018 09:44:59 -0500

zvmcloudconnector (1.2.3-0ubuntu3) cosmic; urgency=medium

  * d/python3-zvmcloudconnector.postinst: Update alternatives priorities to
    give py3 priority if both py2/py3 packages are installed (LP: #1787640).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 07:47:56 -0400

zvmcloudconnector (1.2.3-0ubuntu2) cosmic; urgency=medium

  * d/rules: Run unit tests during build.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 17 Aug 2018 11:38:32 -0400

zvmcloudconnector (1.2.3-0ubuntu1) cosmic; urgency=low

  * Initial release.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 08 Aug 2018 15:00:08 -0400

=== debian/control ===
Source: zvmcloudconnector
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Corey Bryant <corey.bryant@canonical.com>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools (>= 85ubuntu3~),
 python3-all,
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python3-jsonschema (>= 2.3.0),
 python3-jwt (>= 1.0.1),
 python3-mock (>= 2.0.0),
 python3-netaddr (>= 0.7.5),
 python3-requests (>= 2.6.0),
 python3-routes (>= 2.2),
 python3-six (>= 1.9.0),
 python3-subunit (>= 1.0.0),
 python3-unittest2,
 python3-webob (>= 1:1.2.3),
 python3-yaml (>= 3.10),
 subunit,
 testrepository,
Standards-Version: 4.1.4
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/zvmcloudconnector
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/zvmcloudconnector
Homepage: https://github.com/mfcloud/python-zvm-sdk
Testsuite: autopkgtest-pkg-python

Package: zvmcloudconnector-api
Architecture: all
Section: python
Depends:
 python3-zvmcloudconnector (= ${source:Version}),
 ${misc:Depends},
Description: z/VM Development SDK for managing z/VM - z/VM SDK API Server
 z/VM cloud connector is a development SDK for managing z/VM. It provides a set of APIs to
 operate z/VM including guest, image, network, volume etc.
 .
 Just like os-win for nova hyperv driver and oslo.vmware for nova vmware driver, z/VM cloud
 connector (zVMCloudConnector) is for nova z/VM driver and other z/VM related openstack
 drivers such as neutron, ceilometer.
 .
 This package contains the z/VM SDK API Server.

Package: python3-zvmcloudconnector
Architecture: all
Depends:
 zvmcloudconnector-common (= ${source:Version}),
 python3-jsonschema (>= 2.3.0),
 python3-jwt (>= 1.0.1),
 python3-netaddr (>= 0.7.5),
 python3-requests (>= 2.6.0),
 python3-routes (>= 2.2),
 python3-six (>= 1.9.0),
 python3-webob (>= 1:1.2.3),
 python3-yaml (>= 3.10),
 ${misc:Depends},
 ${python3:Depends},
Description: z/VM Development SDK for managing z/VM - Python 3
 z/VM cloud connector is a development SDK for managing z/VM. It provides a set of APIs to
 operate z/VM including guest, image, network, volume etc.
 .
 Just like os-win for nova hyperv driver and oslo.vmware for nova vmware driver, z/VM cloud
 connector (zVMCloudConnector) is for nova z/VM driver and other z/VM related openstack
 drivers such as neutron, ceilometer.
 .
 This package contains the Python 3 module.

Package: zvmcloudconnector-common
Architecture: all
Section: python
Depends:
 adduser,
 ${misc:Depends},
Description: z/VM Development SDK for managing z/VM - Common Files
 z/VM cloud connector is a development SDK for managing z/VM. It provides a set of APIs to
 operate z/VM including guest, image, network, volume etc.
 .
 Just like os-win for nova hyperv driver and oslo.vmware for nova vmware driver, z/VM cloud
 connector (zVMCloudConnector) is for nova z/VM driver and other z/VM related openstack
 drivers such as neutron, ceilometer.
 .
 This package contains common files.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=zvmcloudconnector

PYTHON3S:=$(shell py3versions -vr)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2
	rm -rf $(CURDIR)/debian/python3-zvmcloudconnector/etc
	rm -rf $(CURDIR)/debian/python3-zvmcloudconnector/lib
	rm -rf $(CURDIR)/debian/python3-zvmcloudconnector/usr/lib/systemd
	rm -rf $(CURDIR)/debian/python3-zvmcloudconnector/var
	mv $(CURDIR)/doc/source/zvmsdk.conf.sample $(CURDIR)/debian/zvmcloudconnector-common/etc/zvmsdk/zvmsdk.conf
	dh_install
	dh_missing --fail-missing

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build

override_dh_install:
	dh_install

override_dh_installsystemd:
	dh_installsystemd -pzvmcloudconnector-api --name=sdkserver sdkserver.service
	dh_installsystemd

override_dh_installinit:
	dh_installinit -pzvmcloudconnector-api --no-start --name=sdkserver
	dh_installinit --error-handler=true

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; for pyvers in $(PYTHON3S); do \
		PYTHONPATH=. PYTHON=python$$pyvers python$$pyvers -m unittest discover -v -s $(CURDIR)/zvmsdk/tests/unit; \
		PYTHONPATH=. PYTHON=python$$pyvers python$$pyvers -m unittest discover -v -s $(CURDIR)/smtLayer/tests/unit; \
	done
endif

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev:
override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons:
override_dh_perl override_dh_usrlocal:

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/zVMCloudConnector/zVMCloudConnector-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## zvmcloudconnector 2.0.0~b1~git2019062011.4fc9142.really.1.4.1

=== debian/control ===
--- 
+++ 
@@ -25,8 +25,8 @@
  subunit,
  testrepository,
 Standards-Version: 4.1.4
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/zvmcloudconnector
-Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/zvmcloudconnector
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/zvmcloudconnector
+Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/zvmcloudconnector
 Homepage: https://github.com/mfcloud/python-zvm-sdk
 Testsuite: autopkgtest-pkg-python

=== debian/rules ===
--- 
+++ 
@@ -42,7 +42,7 @@
 	@echo "===> Running tests"
 	set -e ; for pyvers in $(PYTHON3S); do \
 		PYTHONPATH=. PYTHON=python$$pyvers python$$pyvers -m unittest discover -v -s $(CURDIR)/zvmsdk/tests/unit; \
-		PYTHONPATH=. PYTHON=python$$pyvers python$$pyvers -m unittest discover -v -s $(CURDIR)/smtLayer/tests/unit; \
+		PYTHONPATH=. PYTHON=python$$pyvers python$$pyvers -m unittest discover -v -s $(CURDIR)/smutLayer/tests/unit; \
 	done
 endif
